import { Config } from './config';
import { StaticFilesMap } from './buildStaticFiles';
export declare type ManifestDynamicFile = {
    type: 'dynamic';
    src: string;
    dest: string;
    route: string;
};
export declare type ManifestStaticFile = {
    type: 'static';
    src: string;
    dest: string;
};
export declare type ManifestFile = ManifestDynamicFile | ManifestStaticFile;
export declare type Manifest = {
    files: ManifestFile[];
};
export declare function staticFilesMapToManifestFiles(staticFilesMap: StaticFilesMap): ManifestStaticFile[];
export declare function getDynamicFilesFromManifest(manifest: Manifest): ManifestDynamicFile[];
export declare function getStaticFilesFromManifest(manifest: Manifest): ManifestStaticFile[];
export declare function writeManifest(manifest: Manifest, config: Config): void;
